Skip to main content
`Ctrl`+`K`

# PetscDAGetOptionsPrefix

Gets the prefix used for searching for all PetscDA options in the database

## Synopsis

    PetscErrorCode PetscDAGetOptionsPrefix(PetscDA das, const char *p[])

Not Collective

## Input Parameter

- das - the `PetscDA` context

## Output Parameter

- p - pointer to the prefix string used

## See Also

`PetscDA`, `PetscDASetFromOptions()`, `PetscDASetOptionsPrefix()`, `PetscDAAppendOptionsPrefix()`

## Level

advanced

## Location

src/ml/da/interface/petscda.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages